<div class="referral-hold">
    <app-content-banner [isDashboard]="false" pageName="Referral Hold"></app-content-banner>
    <mat-card class="referral-hold-main-card mat-elevation-z0">  
      <mat-card-content>  
        <div class="example-small-box mat-elevation-z4" fxLayout="column">                  
          <div class="example-container mat-elevation-z4">
            <div style="margin:30px">
            <div fxLayout="row" fxLayout.lt-md="column">
              <div fxLayout="column" fxLayoutAlign="start" style="width: 100%">
                <ag-grid-angular
                  #applicationListGrid id="myGrid"
                  style="width: 100%"
                  class="ag-theme-balham my-grid"
                  [columnDefs]="columnDefs"
                  [defaultColDef]="defaultColDef"
                  [rowData]="rowData"
                  [rowSelection]="rowSelection"
                  [animateRows]="true"
                  [gridOptions]="gridOptions"
                  [pagination]="true"
                  [context]="context"
                  [paginationPageSize]="5"
                  [overlayLoadingTemplate]="overlayLoadingTemplate"
                  [overlayNoRowsTemplate]="overlayNoRowsTemplate"
                  [frameworkComponents]="frameworkComponents"
                  (gridReady)="onGridReady($event)"> 
                </ag-grid-angular>
              </div>
            </div>
          
            <div>
              <app-referral-hold [clientDocData]="clientDocData" (onValueChange)="onReferralHoldChange($event)" [isDisabled]="isDisabled">
                  </app-referral-hold>
            </div> 
          </div> 
          </div>
        </div>
        <div class="btn-section" fxLayout="row">
            <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
              <button mat-raised-button color="primary" style="width: 50px;" (click)="onSave()">Save</button>                        
              <button type="button" mat-raised-button (click)="onExit()" color="primary">Exit</button>
            </span>
          </div>
      </mat-card-content>
    </mat-card> 
   
  </div>